#!/bin/bash

# $Id: test-sblim-hba.sh,v 1.1.1.1 2009/05/12 21:46:34 nsharoff Exp $
#
# (C) Copyright IBM Corp. 2009
#
# THIS FILE IS PROVIDED UNDER THE TERMS OF THE ECLIPSE PUBLIC LICENSE
# ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS FILE
# CONSTITUTES RECIPIENTS ACCEPTANCE OF THE AGREEMENT.
# 
# You can obtain a current copy of the Eclipse Public License from
# http://www.opensource.org/licenses/eclipse-1.0.php
#
# Author: IBM
#
# Contributors: IBM 
#
# Description: 
# 	test sblim-hba package
#

SCRIPT_PATH=`dirname ${BASH_SOURCE}`
#SCRIPT_PATH=/usr/local/share/sblim-testsuite

#******************************************************************************#

export SBLIM_TESTSUITE_RUN=1;

#******************************************************************************#

declare -a CLASSNAMES[];

CLASSNAMES=([0]=Linux_FCCard \
	[1]=Linux_FCControlledBy \
	[2]=Linux_FCDeviceSAPImplementation \
	[3]=Linux_FCElementSoftwareIdentity \
	[4]=Linux_FCElementStatisticalData \
	[5]=Linux_FCHostedAccessPoint \
	[6]=Linux_FCInstalledSoftwareIdentity \
	[7]=Linux_Disk \
	[8]=Linux_FCPort \
	[9]=Linux_FCPortController \
	[10]=Linux_FCPortStatistics \
	[11]=Linux_FCProduct \
	[12]=Linux_FCRealizes \
	[13]=Linux_FCSCSIProtocolEndpoint \
	[14]=Linux_FCSoftwareIdentity \
	[15]=Linux_FCSoftwareIdentity_Driver \
	[16]=Linux_FCSoftwareIdentity_Firmware \
	[17]=Linux_FCSystemDevice \
	[18]=Linux_FCSystemDevice_LogicalDevice)

declare -i max=18;
declare -i i=0;

cd $SCRIPT_PATH
while(($i<=$max))
do
  . ${SCRIPT_PATH}/run.sh ${CLASSNAMES[$i]} $1 $2 $3 $4 || exit 1;
  i=$i+1;
done

